curl --request PUT \
--url https://api.fabric.inc/v3/inventory-import-configs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"filePrefix": "oms_",
"groupName": "Location0or2",
"rules": {
"locationFilters": [
{
"condition": "EQ",
"field": "locationNum",
"value": "11245"
},
{
"condition": "IN",
"field": "type",
"values": [
"DC",
"STORE"
]
}
]
},
"id": "821018391"
}
'import requests
url = "https://api.fabric.inc/v3/inventory-import-configs/{id}"
payload = {
"filePrefix": "oms_",
"groupName": "Location0or2",
"rules": { "locationFilters": [
{
"condition": "EQ",
"field": "locationNum",
"value": "11245"
},
{
"condition": "IN",
"field": "type",
"values": ["DC", "STORE"]
}
] },
"id": "821018391"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filePrefix: 'oms_',
groupName: 'Location0or2',
rules: {
locationFilters: [
{condition: 'EQ', field: 'locationNum', value: '11245'},
{condition: 'IN', field: 'type', values: ['DC', 'STORE']}
]
},
id: '821018391'
})
};
fetch('https://api.fabric.inc/v3/inventory-import-configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"filePrefix": "oms_",
"groupName": "Location0or2",
"rules": {
"locationFilters": [
{
"condition": "EQ",
"field": "locationNum",
"value": "11245"
},
{
"condition": "IN",
"field": "type",
"values": [
"DC",
"STORE"
]
}
]
},
"id": "821018391"
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Resource not found. If the issue persists please contact support@fabric.inc",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Update inventory import file configuration
Update inventory import file configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
Unique request ID
Path Parameters
File prefix
Body
InventoryImportFileConfigRequest info
ID
"oms_"
Group name
"Location0or2"
Rules model
Show child attributes
Show child attributes
{
"locationFilters": [
{
"condition": "EQ",
"field": "locationNum",
"value": "11245"
},
{
"condition": "IN",
"field": "type",
"values": ["DC", "STORE"]
}
]
}
ID
"821018391"
Response
OK
BulkUploadFileConfigResponse info
ID
"oms_"
Group name
"Location0or2"
Rules model
Show child attributes
Show child attributes
{
"locationFilters": [
{
"condition": "EQ",
"field": "locationNum",
"value": "11245"
},
{
"condition": "IN",
"field": "type",
"values": ["DC", "STORE"]
}
]
}
ID
"821018391"
Was this page helpful?
